require 'sketchup.rb'
### This file goes in MAIN ..Sketchup../Plugins/ folder - named 
### "ZZ_LoadPathUpdater.rb" so that it loads near [or at] the end.
### This code sets the 'path' to the User's "Sketchup_Plugins" folder.
path = "H:/Sketchup_Plugins"
### This next code extends the Ruby search paths to include 'path' 
### therefore any subsequent use of "load 'xxx.rb'" or "load 'xxx.txt'" 
### commands in the Ruby Console etc will also search/load from the 'path' 
### in addition to the more usual paths like ../Tools/ and ../Plugins/
$LOAD_PATH << path; $LOAD_PATH.uniq!
### If the User has a folder that matches this 'path' then 
### any initially Ruby scripts in 'path' will auto-loaded into Sketchup...
if File.exist?(path) 
  Dir.entries(path).each{|file|
    ext=File.extname(file).downcase
    next unless ext==".rb" || ext==".rbs"
    Sketchup.load(File.join(path, file))
  }
end
###
